## AgsComplex

AgsComplex — boxed type of complex

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsComplex * | ags_complex_alloc ()
gpointer | ags_complex_copy ()
void | ags_complex_free ()
void | ags_complex_set ()
void | ags_complex_get_term ()
void | ags_complex_set_term ()

## Types and Values

#define | AGS_COMPLEX_M_E
#define | AGS_COMPLEX_M_PI

## Object Hierarchy

        GBoxed
        ╰── AgsComplex

## Includes

    #include <ags/lib/ags_complex.h>

## Description

Boxed type of complex data type.

## Functions

### ags_complex_alloc ()

    AgsComplex *
    ags_complex_alloc ();

Allocate AgsComplex

#### Returns

a new AgsComplex

Since: 3.0.0

### ags_complex_copy ()

    gpointer
    ags_complex_copy (AgsComplex *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsComplex |

#### Returns

a pointer of the new AgsComplex

Since: 3.0.0

### ags_complex_free ()

    void
    ags_complex_free (AgsComplex *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsComplex |

Since: 3.0.0

### ags_complex_set ()

    void
    ags_complex_set (AgsComplex *ptr);

Set complex number.

#### Parameters

ptr | the AgsComplex |
z | the complex data to set |

Since: 3.0.0

### ags_complex_get_term ()

    void
    ags_complex_get_term (AgsComplex *ptr,
                          gdouble *real,
                          gdouble *imag);

Get complex number.

#### Parameters

ptr | the AgsComplex |
real | the real part. | [out]
imag | the imaginary part. | [out]

#### Returns

number as complex data type

Since: 3.7.11

### ags_complex_set_term ()

    void
    ags_complex_set_term (AgsComplex *ptr,
                          gdouble real,
                          gdouble imag);

Set complex number.

#### Parameters

ptr | the AgsComplex |
real | the real part |
imag | the imaginary part |

Since: 3.7.11

## Types and Values

### AGS_COMPLEX_M_E

    #define AGS_COMPLEX_M_E (M_E + I * 0.0)

### AGS_COMPLEX_M_PI

    #define AGS_COMPLEX_M_PI (M_PI + I * 0.0)